petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMNetworkAddComponent

Adds a network component at the given point (vertex/edge)

### Synopsis

    #include "petscdmnetwork.h"
    PetscErrorCode DMNetworkAddComponent(DM dm, PetscInt p,PetscInt componentkey,void* compvalue)

Not Collective

### Input Parameters

| dm | - The DMNetwork object
| p | - vertex/edge point
| componentkey | - component key returned while registering the component
| compvalue | - pointer to the data structure for the component

### See Also

DMNetworkGetVertexRange, DMNetworkGetEdgeRange, DMNetworkRegisterComponent

### Level

intermediate

### Location

src/dm/impls/network/network.c
Index of all DMNetwork routines
Table of Contents for all manual pages
Index of all manual pages